import Joi from "@hapi/joi";
import { dateISOValidation } from "./base-joi-helper";
export const coreSchemaDefinition = {
    id: Joi.string().required().min(5).max(100),
    featureIdentity: Joi.string().required().min(3).max(50),
    lastModifierUserId: Joi.string().allow(null).empty("").default(null),
    lastModifiedDate: dateISOValidation(),
    creatorUserId: Joi.string().allow(null).empty("").default(null),
    createdAtDate: dateISOValidation({ isRequired: true }),
    deleterUserId: Joi.string().allow(null).empty("").default(null),
    isDeleted: Joi.boolean().default(false),
};
